# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-NoTabs
Version:	2.02
Release:	1.%{__distinit}%{__distvers}
Summary:	Check the presence of tabs in your project
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Test-NoTabs/
Source0:	http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/Test-NoTabs-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Test::More)
# Optional Tests
BuildRequires:	perl(CPAN::Meta) >= 2.120900
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module scans your project/distribution for any perl files (scripts,
modules, etc.) for the presence of tabs.

%prep
%setup -q -n Test-NoTabs-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::NoTabs.3*

%changelog
* Tue Apr 24 2018 Paul Howarth <paul@city-fan.org> - 2.02-1
- Update to 2.02
  - Altered a test to not bake @INC into -I options for a subprocess, to avoid
    too-long commands

* Fri Apr  6 2018 Paul Howarth <paul@city-fan.org> - 2.00-4
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Wed Apr 12 2017 Paul Howarth <paul@city-fan.org> - 2.00-1
- Update to 2.00
  - Migrated off Module::Install, added META.json and other modern tooling
- This release by ETHER → update source URL
- Ship new LICENSE file
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Tue Oct  4 2016 Paul Howarth <paul@city-fan.org> - 1.4-5
- BR: perl-generators where available
- Simplify find command using -delete

* Thu Jan 29 2015 Paul Howarth <paul@city-fan.org> - 1.4-1
- Update to 1.4
  - Removed boilerplate section "EXPORT" from pod (CPAN RT#96937)
  - Tightened checking for pod lines (CPAN RT#95747)
- Classify buildreqs by usage
- Work around bug in GNU tar 1.15.1 that breaks extracting tarballs made with
  unknown extended attributes on old distributions

* Mon Sep  1 2014 Paul Howarth <paul@city-fan.org> - 1.3-10
- Drop %%defattr, redundant since rpm 4.4

* Tue Jun 26 2012 Paul Howarth <paul@city-fan.org> - 1.3-1
- Update to 1.3
  - Fix regex to ignore '.svn', but not 'Xsvn' - unescaped

* Sun Jun 17 2012 Paul Howarth <paul@city-fan.org> - 1.2-1
- Update to 1.2
  - Fix to ignore inc/ for Module::Install
- BR: perl(Cwd), perl(ExtUtils::MakeMaker), perl(File::Spec), perl(File::Temp)
  and perl(Test::Builder)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Sat Jul  2 2011 Paul Howarth <paul@city-fan.org> - 1.1-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Apr 29 2011 Paul Howarth <paul@city-fan.org> - 1.1-1
- Update to 1.1
  - Fix test fails if cwd or perl has a space in its path (CPAN RT#67376)
- Nobody else likes macros for commands

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 1.0-3
- Rebuild for perl 5.12.1 in Rawhide

* Mon May 17 2010 Paul Howarth <paul@city-fan.org> - 1.0-2
- Fix dist tag for RHEL-6 Beta

* Thu Feb 11 2010 Paul Howarth <paul@city-fan.org> - 1.0-1
- Update to 1.0 (patches upstreamed)

* Wed Feb 10 2010 Paul Howarth <paul@city-fan.org> - 0.9-2
- Add patch and test case for CPAN RT#53727 (broken POD breaks tab detection)
- Fix a `Parentheses missing around "my" list' warning in old Perls (RT#54477)

* Mon Feb  1 2010 Paul Howarth <paul@city-fan.org> - 0.9-1
- Initial RPM version
